%define split_doc 0

Summary: Enhanced IP routing and network devices configuration tools
Name:    iproute
Version: 2.6.9
Release: 3tr
Group: Trustix Official
Source:  http://developer.osdl.org/dev/iproute2/download/iproute2-2.6.9-041019.tar.gz
Patch1:  iproute2-2.6.9-fix.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Linux 2.X maintains compatibility with the basic configuration utilities
of the network (ifconfig, route) but a new utility is required to exploit
the new characteristics and features of the kernel. This package includes
the new utilities (/sbin/ip, /sbin/rtmon).


%package doc
Summary:  documentation for %{name}
Group: Trustix Official
Requires: %{name} = %{version}-%{release}

%description doc
This package contains the additional documentation for %{name}.


%prep
%setup -q -n iproute2-%{version}
%patch1 -p1

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT/sbin
install -m 755 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 -d $RPM_BUILD_ROOT/%{_libdir}/tc
install -m 755 -d $RPM_BUILD_ROOT/etc/iproute2
install -m 755 -d $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 755 ip/ifcfg $RPM_BUILD_ROOT/sbin 
install -s -m 755 ip/ip ip/rtmon tc/tc $RPM_BUILD_ROOT/sbin 
install -m 755 ip/routef ip/routel $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 misc/rtacct misc/lnstat $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 misc/arpd misc/ifstat $RPM_BUILD_ROOT/usr/sbin
install -s -m 755 misc/nstat misc/ss $RPM_BUILD_ROOT/usr/sbin
install -s -m 644 tc/*.so $RPM_BUILD_ROOT/%{_libdir}/tc
install -m 644 tc/*.dist $RPM_BUILD_ROOT/%{_libdir}/tc
install -m 644 etc/iproute2/* $RPM_BUILD_ROOT/etc/iproute2
install -m 644 man/man8/* $RPM_BUILD_ROOT/%{_mandir}/man8/
mkdir -p  $RPM_BUILD_ROOT/var/lib/arpd

%if %{split_doc}
install -m 755 -d $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}
cp -rp README.decnet README.distribution README.iproute2+tc README.lnstat \
   RELNOTES doc examples \
   $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}-%{version}/
%endif

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/sbin/*
/usr/sbin/*
/var/lib/arpd
%dir /etc/iproute2
%config(noreplace) /etc/iproute2/*
%{_libdir}/*
%{_mandir}/man8/*

%if %{split_doc}
%files doc
%defattr(-,root,root,0755)
%docdir %{_defaultdocdir}/%{name}-%version/
%doc    %{_defaultdocdir}/%{name}-%version/*
%endif
%doc README.decnet README.distribution README.iproute2+tc 
%doc README.lnstat RELNOTES 
%doc doc examples 


%changelog
* Mon Jul  4 2005 Hasher Jamaludeen <hasher at comodo dot com> 2.6.9-3tr
- Created working directory for arpd /var/lib/arpd/. Bug #1019 .

* Thu Jan  6 2005 Erlend Midttun <erlendbm at trustix dot com> 2.6.9-2tr
- Now make /etc/iproute2/* config(noreplace).

* Sat Oct 30 2004 Olaf Rempel <razzor at kopf minus tisch dot de> 2.6.9-1tr
- New upstream, added compile fix from LARTC maillist (patch1)

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 2.4.7-11tr
- Added patch for Fixing missing diffserv and atm support in config
- Added patch for Secutiry errata for netlink (CAN-2003-0856)
 
* Fri Dec 12 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-8tr
- Big rebuild

* Sun Nov  2 2003 Goetz Bock <bg at trustix dot org> 2.4.7-7bg
- added HTP support to tc (patch4)
- added infrastructure to split doc/man into own sub package

* Thu Jul  3 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-6tr
- Big rebuild

* Wed Jul  2 2003 Goetz Bock <bock at trustix dot org> 2.4.7-5bg
- added manpages (patch3)
- added some fixes (patch2)

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-4tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-3em
- Rebuilt against glibc 2.3.2.

* Mon Nov 11 2002 Erlend Midttun <erlendbm at trustix dot com> 2.4.7-2ne
- Moved include files.

* Wed Aug 28 2002 Nico Erfurth <masta at trustix dot org> 2.4.7-1ne
- New Upstream version
- Added routel, routef to the filelist
- Added default configfiles

* Wed Aug 28 2002 Nico Erfurth <masta at trustix dot org> 2.2.4-5ne
- Added DEFINES to build to make it build on cloud and kernel 2.4

* Thu Jun 14 2001 Oystein Viggen <oysteivi at trustix dot com>
- No use stripping a script file (ifcfg)

* Tue May 30 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed the creation of ps files

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Aug 16 1999 Cristian Gafton <gafton@redhat.com>
- first build
